## PDF Backend

PDF Backend —

## Synopsis

    cairo_surface_t* cairo_pdf_surface_create   (const char *filename,
                                                 double width_in_points,
                                                 double height_in_points);
    cairo_surface_t* cairo_pdf_surface_create_for_stream
                                                (cairo_write_func_t write_func,
                                                 void *closure,
                                                 double width_in_points,
                                                 double height_in_points);
    void        cairo_pdf_surface_set_dpi       (cairo_surface_t *surface,
                                                 double x_dpi,
                                                 double y_dpi);

## Description

## Details

### cairo_pdf_surface_create ()

    cairo_surface_t* cairo_pdf_surface_create   (const char *filename,
                                                 double width_in_points,
                                                 double height_in_points);

`filename` : |
`width_in_points` : |
`height_in_points` : |
Returns : |

### cairo_pdf_surface_create_for_stream ()

    cairo_surface_t* cairo_pdf_surface_create_for_stream
                                                (cairo_write_func_t write_func,
                                                 void *closure,
                                                 double width_in_points,
                                                 double height_in_points);

`write_func` : |
`closure` : |
`width_in_points` : |
`height_in_points` : |
Returns : |

### cairo_pdf_surface_set_dpi ()

    void        cairo_pdf_surface_set_dpi       (cairo_surface_t *surface,
                                                 double x_dpi,
                                                 double y_dpi);

`surface` : |
`x_dpi` : |
`y_dpi` : |